Name: gnome-vfsmm
Summary: C++ wrapper for gnome-vfs
Summary: gnome-vfs の C++ バインディング
Version: 2.26.0
Release: 3%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://gtkmm.sourceforge.net/
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-vfsmm/2.26/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glibmm-devel >= 2.4.0
BuildRequires: gnome-vfs2-devel >= 2.8.1 
BuildRequires: doxygen

%description
This package is part of the gnomemm project and provides a C++ interface for
gnome-vfs.  

%package devel
Summary: Headers for developing programs that will use %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibmm-devel >= 2.4.0
Requires: gnome-vfs2-devel >= 2.8.1 

%description devel
This package contains the static libraries and header files needed for
developing applications with %{name}.


%prep
%setup -q -n gnome-vfsmm-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}-2.6
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_libdir}/%{name}-2.6
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Nov  4 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 2.26.0-3
- rebuilt on current VineSeed
- added Japanese summary

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.26.0-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Jul 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.0-1 
- new upstream release
- add BuildRequires: doxygen
- fix URL of Source0

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1vl5 
- new upstream release

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 2.18.0-1vl5
- applied new versioning policy
- excluded *.la

* Fri May 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl2 
- rebuilt with new toolchains

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl1 
- new upstream release

* Fri Nov  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-1vl1 
- initial build for Vine Linux

* Wed Jul 22 2003 Gerald Henriksen <ghenriks@rogers.com> 
- Initial release
